Package org.eclipse.emf.cdo.view

## Interface CDOViewDurabilityChangedEvent

- All Superinterfaces:
    `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOViewDurabilityChangedEvent
      extends CDOViewEvent

  A `view event` fired when a `view` has been made `durable` or volatile.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNewDurableLockingID()` |
    `java.lang.String` | `getOldDurableLockingID()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getOldDurableLockingID

          java.lang.String getOldDurableLockingID()

    - #### getNewDurableLockingID

          java.lang.String getNewDurableLockingID()